<?php
/**
 * @version     $Id$
 * @package     Jumbotron
 * @subpackage  com_jumbotron
 * @copyright   Copyright 2010 - 2011 Jumbotron Sports. All rights reserved.
 * @license     GNU General Public License version 2 or later.
 */

// No direct access
defined('_JEXEC') or die;

//JHtml::addIncludePath(JPATH_COMPONENT.'helpers/html');
JHtml::stylesheet('com_jumbotron/admin.css', null, true);
JHtml::_('behavior.tooltip');
JHtml::_('behavior.formvalidation');
JHtml::_('behavior.keepalive');
?>
<script type="text/javascript">
	// Attach a behaviour to the submit button to check validation.
	Joomla.submitbutton = function(task)
	{
		var form = document.id('jumbotron-form');
		if (task == 'jumbotron.cancel' || document.formvalidator.isValid(form)) {
			<?php echo $this->form->getField('body')->save(); ?>
			Joomla.submitform(task, form);
		}
		else {
			<?php JText::script('COM_JUMBOTRON_ERROR_N_INVALID_FIELDS'); ?>
			// Count the fields that are invalid.
			var elements = form.getElements('fieldset').concat(Array.from(form.elements));
			var invalid = 0;

			for (var i = 0; i < elements.length; i++) {
				if (document.formvalidator.validate(elements[i]) == false) {
					valid = false;
					invalid++;
				}
			}

			alert(Joomla.JText._('COM_JUMBOTRON_ERROR_N_INVALID_FIELDS').replace('%d', invalid));
		}
	}
</script>

<form action="<?php echo JRoute::_('index.php?option=com_jumbotron&layout=edit&id='.(int) $this->item->id); ?>"
	method="post" name="adminForm" id="jumbotron-form" class="form-validate">
	<div>
		<?php echo JHtml::_('sliders.start','jumbotron-sliders-'.$this->item->id, array('useCookie' => 1)); ?>

		<?php echo $this->loadTemplate('tourneyinfo'); ?>

		<?php echo $this->loadTemplate('regionteams'); ?>

		<?php echo $this->loadTemplate('regionone'); ?>

		<?php echo $this->loadTemplate('regiontwo'); ?>

		<?php echo $this->loadTemplate('otheroptions'); ?>

		<?php echo $this->loadTemplate('gameoptions'); ?>

		<?php echo $this->loadTemplate('metadata'); ?>

	</div>
	<div class="clr"></div>

	<input type="hidden" name="task" value="" />
	<?php echo JHtml::_('form.token'); ?>
</form>
<p class="copyright" style="clear:both"><?php echo JText::_('COM_JUMBOTRON_COPYRIGHT_VERSION'); ?></p>